// SPDX-FileCopyrightText: 2023 Aravinth Manivannan <realaravinth@batsense.net>
//
// SPDX-License-Identifier: AGPL-3.0-or-later

use reqwest::Client;
use serde::{Deserialize, Serialize};

#[derive(Clone, Debug, Eq, PartialEq, Serialize, Deserialize)]
pub struct User {
    pub created: u128,
    pub id: String,
    pub about: Option<String>,
    pub karma: usize,
    pub submitted: Vec<usize>,
}

pub async fn get_user(c: &Client, username: &str) -> User {
    c.get(&format!("https://hacker-news.firebaseio.com/v0/user/{username}.json")).send().await.unwrap().json().await.unwrap()
}
